Skip to main content
POST
https://api.useadam.io/v1/adam
/
bills
Create bill (AI)
curl --request POST \
  --url https://api.useadam.io/v1/adam/bills \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "prompt": "Create an invoice for ACME LLC for $250 for consulting, dated today, due in 14 days",
  "process_type": "async"
}
'
{
  "status": "success",
  "message": "Bill creation request received and queued for processing",
  "data": {
    "process_type": "async",
    "job_reference": "job_01HZXK8QEXAMPLE"
  }
}

Authorizations

X-API-Key
string
header
default:your_tyms_sk_or_partner_key
required

Business secret tyms_sk_... for all routes except Register business, which expects your partner secret.

Body

application/json
prompt
string
required
attachments
object[]
text_attachment
string
process_type
enum<string>

async (default) or direct.

Available options:
async,
direct

Response

200 - application/json

AI bill job accepted or completed — depends on process_type

status
string
required
Example:

"success"

message
string
required
data
any

Single resource, array of resources, statement sections, or async job metadata — see each operation's example.

meta
object

Pagination (page, limit, total) and/or report range (from, to). Cash flow may include previous_period_end.